using System;
using System.Diagnostics.CodeAnalysis;
using System.Runtime.InteropServices;

namespace Sasa.QualityTools.DrFx.Tests.Violation.CSharp.Microsoft.Interoperability
{
    // このインターフェースは CA1402 に違反しています。
    [SuppressMessage("Microsoft.Naming", "CA1715:IdentifiersShouldHaveCorrectPrefix")]
    [ComVisible(true)]
    public interface Rule1402
    {
        object CreateInstance(string typeName);

        object CreateInstance(Type type);
    }
}
